VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::FileLocations Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::FileLocations:

## Avaliable Methods
public method | set_secondary ()
public method | get_secondary ()
public method | set_primary ()
public method | get_primary ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::FileLocations` class identifies the file(s) that caused the method to report the error .

Some types of errors are caused by a problem with one or more files. This class is intended to be used as the payload to identify those files when the method reports errors like class Com::Vmware::Vapi::Std::Errors::NotFound . See :attr:`Com::Vmware::Vapi::Std::Errors::Error.data` .

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::FileLocations::get_primary | ( |  | ) |

Gets the value of 'primary' property.

Return values

  primary | - The current value of the field. String identifying the file that triggered the error . String#

Code:
click to view
# Number of lines of code in get_primary: 4
sub get_primary {
my ($self, %args) = @_;
return $self->{'primary'};
}

public method Com::Vmware::Vapi::Std::Errors::FileLocations::get_secondary | ( |  | ) |

Gets the value of 'secondary' property.

Return values

  secondary | - The current value of the field. List* (possibly empty) of strings identifying other files that caused the primary file to trigger the error . List#

Code:
click to view
# Number of lines of code in get_secondary: 4
sub get_secondary {
my ($self, %args) = @_;
return $self->{'secondary'};
}

public method Com::Vmware::Vapi::Std::Errors::FileLocations::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::FileLocations structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{primary} = $args{'primary'};
$self->{secondary} = $args{'secondary'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::FileLocations');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.file_locations');
$self->set_binding_field('key' => 'primary', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'secondary', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Std::Errors::FileLocations::set_primary | ( |  | ) |

Sets the given value for 'primary' property.

Parameters

  primary | - New value for the field. String identifying the file that triggered the error .

Code:
click to view
# Number of lines of code in set_primary: 5
sub set_primary {
my ($self, %args) = @_;
$self->{'primary'} = $args{'primary'};
return;
}

public method Com::Vmware::Vapi::Std::Errors::FileLocations::set_secondary | ( |  | ) |

Sets the given value for 'secondary' property.

Parameters

  secondary | - New value for the field. List* (possibly empty) of strings identifying other files that caused the primary file to trigger the error .

Code:
click to view
# Number of lines of code in set_secondary: 5
sub set_secondary {
my ($self, %args) = @_;
$self->{'secondary'} = $args{'secondary'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/FileLocations.pm